EnvelopedDataHelper (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.jcajce

## Class EnvelopedDataHelper

- java.lang.Object
- - org.bouncycastle.cms.jcajce.EnvelopedDataHelper

-     public class EnvelopedDataHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map` | `BASE_CIPHER_NAMES`
    `protected static java.util.Map` | `CIPHER_ALG_NAMES`
    `protected static SecretKeySizeProvider` | `KEY_SIZE_PROVIDER`
    `protected static java.util.Map` | `MAC_ALG_NAMES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JceAsymmetricKeyUnwrapper` | `createAsymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, java.security.PrivateKey keyEncryptionKey)`
    `JceKTSKeyUnwrapper` | `createAsymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, java.security.PrivateKey keyEncryptionKey, byte[] partyUInfo, byte[] partyVInfo)`
    `javax.crypto.Cipher` | `createContentCipher(java.security.Key sKey, org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptionAlgID)`
    `java.security.KeyFactory` | `createKeyFactory(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`
    `javax.crypto.KeyGenerator` | `createKeyGenerator(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)`
    `SymmetricKeyUnwrapper` | `createSymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, javax.crypto.SecretKey keyEncryptionKey)`
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier macOID, java.security.spec.AlgorithmParameterSpec paramSpec)`
    `java.security.Key` | `getJceKey(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm, GenericKey key)`
    `void` | `keySizeCheck(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyAlgorithm, java.security.Key key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIZE_PROVIDER

          protected static final SecretKeySizeProvider KEY_SIZE_PROVIDER

    - #### BASE_CIPHER_NAMES

          protected static final java.util.Map BASE_CIPHER_NAMES

    - #### CIPHER_ALG_NAMES

          protected static final java.util.Map CIPHER_ALG_NAMES

    - #### MAC_ALG_NAMES

          protected static final java.util.Map MAC_ALG_NAMES

  - ### Method Detail

    - #### getJceKey

          public java.security.Key getJceKey(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm,
                                    GenericKey key)

    - #### keySizeCheck

          public void keySizeCheck(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyAlgorithm,
                          java.security.Key key)
                            throws CMSException

      Throws:
        `CMSException`

    - #### createContentCipher

          public javax.crypto.Cipher createContentCipher(java.security.Key sKey,
                                                org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptionAlgID)
                                                  throws CMSException

      Throws:
        `CMSException`

    - #### createKeyGenerator

          public javax.crypto.KeyGenerator createKeyGenerator(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)
                                                       throws CMSException

      Throws:
        `CMSException`

    - #### createKeyFactory

          public java.security.KeyFactory createKeyFactory(org.bouncycastle.asn1.ASN1ObjectIdentifier algorithm)
                                                    throws CMSException

      Throws:
        `CMSException`

    - #### createAsymmetricUnwrapper

          public JceAsymmetricKeyUnwrapper createAsymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                                            java.security.PrivateKey keyEncryptionKey)

    - #### createAsymmetricUnwrapper

          public JceKTSKeyUnwrapper createAsymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                                     java.security.PrivateKey keyEncryptionKey,
                                                     byte[] partyUInfo,
                                                     byte[] partyVInfo)

    - #### createSymmetricUnwrapper

          public SymmetricKeyUnwrapper createSymmetricUnwrapper(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                                       javax.crypto.SecretKey keyEncryptionKey)

    - #### getAlgorithmIdentifier

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getAlgorithmIdentifier(org.bouncycastle.asn1.ASN1ObjectIdentifier macOID,
                                                                              java.security.spec.AlgorithmParameterSpec paramSpec)